Summary: A complete ODBC Driver Manager for Linux
Name: unixODBC
Version: 2.0.7
Release: 3
License: LGPL
Group: System Environment/Libraries
Source: http://www.unixODBC.org/%{name}-%{version}.tar.gz
Source1: odbcinst.ini
Source2: ODBCConfig.desktop
Source3: DataManager.desktop
URL: http://www.unixODBC.org/
Conflicts: iodbc
BuildPrereq: kdelibs-devel qt-devel libmng-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The unixODBC Project goals are to develop and promote unixODBC to
be the definitive standard for ODBC on the Linux platform. This is to
include GUI support for KDE.

Install unixODBC if you'd like to access databases through ODBC. This
package include drivers for PostgreSQL and local files.

If you want to develop programs that will access data through ODBC,
you'll also need to have the unixODBC package installed.

%package devel
Summary: Development files for programs which will use the unixODBC library.
Group: Development/Libraries
Requires: unixODBC = %{version}

%description devel
Install unixODBC if you'd like to access databases through ODBC drivers.

If you want to develop programs that will access data through ODBC, 
you'll also need to install the unixODBC-devel (this) package.

%package kde
Summary: KDE DriverManager components for ODBC
Group: System Environment/Libraries
requires: qt >= 2.1

%description kde
Components for the ODBCConfig and DataManager (KDE) Components of unixODBC.

%prep
%setup -q

%build
# pick up qt path
export QTDIR=
. /etc/profile.d/qt.sh
# clean up old moc files
(cd ODBCConfig && rm -f mclass*.cpp)
(cd DataManager && rm -f mclass*.cpp)
%configure --with-gnu-ld=yes --enable-threads=yes --enable-gui=yes --enable-static=yes --enable-drivers
make all

%install
# pick up qt path
export QTDIR=
. /etc/profile.d/qt.sh

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/System
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons

%makeinstall
cp %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
cp ODBCConfig/LinuxODBC.xpm $RPM_BUILD_ROOT%{_datadir}/icons
cp ODBCConfig/smallLinuxODBC.xpm $RPM_BUILD_ROOT%{_datadir}/icons
install -m755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/System
install -m755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/System

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog NEWS INSTALL doc
%config(noreplace) %{_sysconfdir}/odbc*
%{_libdir}/*so.*
%{_bindir}/odbcinst
%{_bindir}/isql
%{_bindir}/dltest

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a

%files kde
%defattr(-,root,root)
%{_bindir}/ODBCConfig
%{_bindir}/DataManager
/etc/X11/applnk/System/*

%post kde -p /sbin/ldconfig
%postun kde -p /sbin/ldconfig


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Sun Jun 24 2001 Than Ngo <than@redhat.com>
- rebuild against qt-2.3.1, kde-2.1.x

* Fri Jun 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Better default odbcinst.ini
- Minor cleanups

* Wed Jun  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.0.7

* Wed Apr 25 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Fix for isql segfault on EOF/ctrl-d exit

* Fri Apr 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 2.0.6
- add patch for 64 bit archs (dword shouldn't be "long int")

* Wed Feb 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Nov 28 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 1.8.13

* Tue Oct 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- enable GUI now that we have KDE compiled with the standard
  compiler
- move the applnk entries to the KDE package

* Thu Aug 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- add the missing shared libs to the non-devel package

* Wed Aug 23 2000 Preston Brown <pbrown@redhat.com>
- 1.8.12 fixes problems with the postgresql driver

* Mon Jul 31 2000 Trond Eivind Glomsrd <teg@redhat.com>
- disable KDE subpackage to avoid the mess that is C++ binary
  compatibility 

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Florian La Roche <laroche@redhat.com>
- improved QTDIR detection

* Thu Jun 28 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 1.8.10
- use %%{_tmppath}
- update URL
- including two missing libraries

* Tue Jun 13 2000 Preston Brown <pbrown@redhat.com>
- 1.8.9

* Fri Jun 09 2000 Preston Brown <pbrown@redhat.com>
- adopted for Winston, changed to Red Hat packaging standards

* Tue Apr 18 2000 Murray Todd Williams <murray@codingapes.com>
- added a unixODBC-devel RPM to the group, added KDE links and icons to system
- all of which came from recommendations from Fredrick Meunier
- <Fredrick.Meunier@computershare.com.au>

* Mon Apr 17 2000 Murray Todd Williams <murray@codingapes.com>
- unixODBC-1.8.7
- moved install to $RPM_BUILD_ROOT so it didn't overrun existing files.


